Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.player
Class LevelInfo

    java.lang.Object
      de.farafin.snEADy.player.LevelInfo

All Implemented Interfaces:
  java.io.Serializable

    public class LevelInfo

extends java.lang.Object
implements java.io.Serializable

This is just a class for storing informations. It doesnt contain methods because it doesnt need to calculate anything. Its just a set of informations for the player.
This class contains all imprortant Informations about the playfield.
Diese Klasse ist zum Speichern von Informationen gedacht. Sie enthällt keine Methoden weil sie nichts berechnen muss. Es ist nur eine Menge von Informationen für den Spieler.
Diese Klasse enthällt alle wichtigen Informationen über das Spielfeld.

Author:
  roland, lars
See Also:
  Serialized Form

Field Summary
`int` | `height` The height of the playField (the same value as playField.length) Die Höhe des Spielfeldes (der gleiche Wert wie auch playField.length)
`java.lang.String` | `levelName` The name of the Level / playfield Der Name des Levels / Spielfeldes.
`char[][]` | `playField` The playfield.
`int` | `width` The width of playField (the same value as playField[0].length) Die Breite des Spielfeldes (dar gleiche Wert wie auch playField[0].length)

Constructor Summary
`LevelInfo()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### levelName

    public java.lang.String levelName

  The name of the Level / playfield
  Der Name des Levels / Spielfeldes.

### height

    public int height

  The height of the playField (the same value as playField.length)
  Die Höhe des Spielfeldes (der gleiche Wert wie auch playField.length)

### width

    public int width

  The width of playField (the same value as playField[0].length)
  Die Breite des Spielfeldes (dar gleiche Wert wie auch playField[0].length)

### playField

    public char[][] playField

  The playfield. It is a 2 dimensional array of char values. For more informations about the meaning of this values visit PubConstants. The play field is stored like a matrix (visit Horst's script around page 63). The upper left corner is the origin with coordinats (0, 0). The first index represents the line, the second the row. The playfield cells are adressed with playField[line][row]. Please don't get deranged by this, we had to decide for one representation and we choosed this one. If you learn this representation for one time, you will never be confused again which index of Horst's matrixes means the line or row...
  Das Spielfeld. Es ist ein 2-Dimensionaler Array von char-Werten. Mehr über deren Bedeutung siehe PubConstants. Das Spielfeld wird wie eine Matrix gespeichert (siehe Horst's Skript ungefär Seite 63). Die obere linke Ecke ist der Ursprung mit den Koordinaten (0, 0). Der erste Index repräsentiert die Zeile, der zweite die Spalte. Die Spielfeldzellen werden mit playFiled[line][row] adressiert. Bitte lasst euch davon nicht verwirren, wir mussten uns für eine Darstellung entscheiden und haben diese gewählt. Wenn ihr diese Darstellung ein mal gelernt habt, werdet ihr euch nie wieder von den Indizes von Horsts Matrizen irritieren lassen ;-).

  See Also:
    `PubConstants`

Constructor Detail

### LevelInfo

    public LevelInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD